﻿using Microsoft.AspNetCore.Mvc;
using PaydayBackend.Models;
using PaydayBackend.Services;

namespace PaydayBackend.Controllers;

[Route("v1/api/university")]
[ApiController]
public class UniversityController : ControllerBase
{
    private readonly IAdminService _adminService;

    public UniversityController(IAdminService adminService)
    {
        _adminService = adminService;
    }
    
    /// <summary>
    /// Добавление направления университета
    /// </summary>
    /// <response code="400">Университет не найден</response>
    [HttpPost("universities/directions")]
    public async Task<ActionResult<string>> AddUniversityDirection([FromBody] UniversityDirectionDto universityDirection)
    {
        var result = await _adminService.AddUniversityDirection(universityDirection);
        return result == "OK" ? Ok() : BadRequest(result);
    }
    
}